<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>org.apache.nutch.crawl (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../org/apache/nutch/crawl/package-summary.html" target="classFrame">org.apache.nutch.crawl</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="FetchSchedule.html" title="interface in org.apache.nutch.crawl" target="classFrame"><span class="interfaceName">FetchSchedule</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AbstractFetchSchedule.html" title="class in org.apache.nutch.crawl" target="classFrame">AbstractFetchSchedule</a></li>
<li><a href="AdaptiveFetchSchedule.html" title="class in org.apache.nutch.crawl" target="classFrame">AdaptiveFetchSchedule</a></li>
<li><a href="CrawlDatum.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDatum</a></li>
<li><a href="CrawlDatum.Comparator.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDatum.Comparator</a></li>
<li><a href="CrawlDb.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDb</a></li>
<li><a href="CrawlDbFilter.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbFilter</a></li>
<li><a href="CrawlDbMerger.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbMerger</a></li>
<li><a href="CrawlDbMerger.Merger.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbMerger.Merger</a></li>
<li><a href="CrawlDbReader.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader</a></li>
<li><a href="CrawlDbReader.CrawlDatumCsvOutputFormat.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDatumCsvOutputFormat</a></li>
<li><a href="CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDatumCsvOutputFormat.LineRecordWriter</a></li>
<li><a href="CrawlDbReader.CrawlDatumJsonOutputFormat.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDatumJsonOutputFormat</a></li>
<li><a href="CrawlDbReader.CrawlDatumJsonOutputFormat.LineRecordWriter.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDatumJsonOutputFormat.LineRecordWriter</a></li>
<li><a href="CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDatumJsonOutputFormat.WritableSerializer</a></li>
<li><a href="CrawlDbReader.CrawlDbDumpMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDbDumpMapper</a></li>
<li><a href="CrawlDbReader.CrawlDbStatMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDbStatMapper</a></li>
<li><a href="CrawlDbReader.CrawlDbStatReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDbStatReducer</a></li>
<li><a href="CrawlDbReader.CrawlDbTopNMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDbTopNMapper</a></li>
<li><a href="CrawlDbReader.CrawlDbTopNReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.CrawlDbTopNReducer</a></li>
<li><a href="CrawlDbReader.JsonIndenter.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReader.JsonIndenter</a></li>
<li><a href="CrawlDbReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">CrawlDbReducer</a></li>
<li><a href="DeduplicationJob.html" title="class in org.apache.nutch.crawl" target="classFrame">DeduplicationJob</a></li>
<li><a href="DeduplicationJob.DBFilter.html" title="class in org.apache.nutch.crawl" target="classFrame">DeduplicationJob.DBFilter</a></li>
<li><a href="DeduplicationJob.DedupReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">DeduplicationJob.DedupReducer</a></li>
<li><a href="DeduplicationJob.StatusUpdateReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">DeduplicationJob.StatusUpdateReducer</a></li>
<li><a href="DefaultFetchSchedule.html" title="class in org.apache.nutch.crawl" target="classFrame">DefaultFetchSchedule</a></li>
<li><a href="FetchScheduleFactory.html" title="class in org.apache.nutch.crawl" target="classFrame">FetchScheduleFactory</a></li>
<li><a href="Generator.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator</a></li>
<li><a href="Generator.CrawlDbUpdater.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.CrawlDbUpdater</a></li>
<li><a href="Generator.CrawlDbUpdater.CrawlDbUpdateMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.CrawlDbUpdater.CrawlDbUpdateMapper</a></li>
<li><a href="Generator.CrawlDbUpdater.CrawlDbUpdateReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.CrawlDbUpdater.CrawlDbUpdateReducer</a></li>
<li><a href="Generator.DecreasingFloatComparator.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.DecreasingFloatComparator</a></li>
<li><a href="Generator.HashComparator.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.HashComparator</a></li>
<li><a href="Generator.PartitionReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.PartitionReducer</a></li>
<li><a href="Generator.Selector.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.Selector</a></li>
<li><a href="Generator.SelectorEntry.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.SelectorEntry</a></li>
<li><a href="Generator.SelectorInverseMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.SelectorInverseMapper</a></li>
<li><a href="Generator.SelectorMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.SelectorMapper</a></li>
<li><a href="Generator.SelectorReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">Generator.SelectorReducer</a></li>
<li><a href="Injector.html" title="class in org.apache.nutch.crawl" target="classFrame">Injector</a></li>
<li><a href="Injector.InjectMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">Injector.InjectMapper</a></li>
<li><a href="Injector.InjectReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">Injector.InjectReducer</a></li>
<li><a href="Inlink.html" title="class in org.apache.nutch.crawl" target="classFrame">Inlink</a></li>
<li><a href="Inlinks.html" title="class in org.apache.nutch.crawl" target="classFrame">Inlinks</a></li>
<li><a href="LinkDb.html" title="class in org.apache.nutch.crawl" target="classFrame">LinkDb</a></li>
<li><a href="LinkDb.LinkDbMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">LinkDb.LinkDbMapper</a></li>
<li><a href="LinkDbFilter.html" title="class in org.apache.nutch.crawl" target="classFrame">LinkDbFilter</a></li>
<li><a href="LinkDbMerger.html" title="class in org.apache.nutch.crawl" target="classFrame">LinkDbMerger</a></li>
<li><a href="LinkDbMerger.LinkDbMergeReducer.html" title="class in org.apache.nutch.crawl" target="classFrame">LinkDbMerger.LinkDbMergeReducer</a></li>
<li><a href="LinkDbReader.html" title="class in org.apache.nutch.crawl" target="classFrame">LinkDbReader</a></li>
<li><a href="LinkDbReader.LinkDBDumpMapper.html" title="class in org.apache.nutch.crawl" target="classFrame">LinkDbReader.LinkDBDumpMapper</a></li>
<li><a href="MD5Signature.html" title="class in org.apache.nutch.crawl" target="classFrame">MD5Signature</a></li>
<li><a href="MimeAdaptiveFetchSchedule.html" title="class in org.apache.nutch.crawl" target="classFrame">MimeAdaptiveFetchSchedule</a></li>
<li><a href="NutchWritable.html" title="class in org.apache.nutch.crawl" target="classFrame">NutchWritable</a></li>
<li><a href="Signature.html" title="class in org.apache.nutch.crawl" target="classFrame">Signature</a></li>
<li><a href="SignatureComparator.html" title="class in org.apache.nutch.crawl" target="classFrame">SignatureComparator</a></li>
<li><a href="SignatureFactory.html" title="class in org.apache.nutch.crawl" target="classFrame">SignatureFactory</a></li>
<li><a href="TextMD5Signature.html" title="class in org.apache.nutch.crawl" target="classFrame">TextMD5Signature</a></li>
<li><a href="TextProfileSignature.html" title="class in org.apache.nutch.crawl" target="classFrame">TextProfileSignature</a></li>
<li><a href="URLPartitioner.html" title="class in org.apache.nutch.crawl" target="classFrame">URLPartitioner</a></li>
</ul>
</div>
</body>
</html>
